Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228184 - Printing not working; hal failed
Summary: Printing not working; hal failed
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: hal-cups-utils
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-11 04:43 UTC by Gantry York
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 09:20:43 UTC


Attachments (Terms of Use)
cups error_log as requested (deleted)
2007-02-11 19:22 UTC, Gantry York
no flags Details

Description Gantry York 2007-02-11 04:43:55 UTC
Description of problem:


Version-Release number of selected component (if applicable):

It is 2/10/2007.  I'm using FC6 with all the updates.

I don't know exactly when this started to occure, but it was after one of the
updates that printing stopped working.  It has taken me a long time to find any
sort of error message.

I finally found some indication of what is wrong when trying to print form
OpenOffice it shows the status of the printer as "
/usr/lib/cups/backend/hal failed"

It appears that some others have been having problems as well

http://www.linuxquestions.org/questions/showthread.php?t=522549

How reproducible:

Steps to Reproduce:
1. Try to print anything
2. Nothing happens
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tim Waugh 2007-02-11 17:24:27 UTC
Firstly, what does 'rpm -q hal-cups-utils cups' say?

Next, please do the following, as root:

Stop CUPS:

/sbin/service cups start

Edit /etc/cups/cupsd.conf and change the 'LogLevel' line to read:

LogLevel debug2

Clear out the error_log file:

>/var/log/cups/error_log

Start CUPS:

/sbin/service cups start

Now try to print something, and when it fails and you see the 'hal failed'
message, attach the /var/log/cups/error_log file here.  Thanks.

Comment 2 Gantry York 2007-02-11 19:22:50 UTC
Created attachment 147861 [details]
cups error_log as requested

Comment 3 Gantry York 2007-02-11 19:25:58 UTC
[root@denali gantry]# rpm -q hal-cups-utils cups
hal-cups-utils-0.6.5-1.fc6
cups-1.2.7-1.8.fc6




Comment 4 Tim Waugh 2007-02-12 18:33:42 UTC
Sounds like the printer queue is disabled.  When you run the config tool
(System->Administration->Printing) and click on the queue name, does the
'Enabled' check-box have a check mark in it?  If not, please click the box so
the queue is enabled, and click 'Apply' to make that change.

If you then wait for a moment and click the 'Refresh' button (near the top of
the window), does the queue become disabled again?  If so, I'd like you to
attach the error_log file again.  Thanks.

Comment 5 Gantry York 2007-02-12 23:31:58 UTC
Yes, you are correct.

It now works.

Is it possible that an updated changed my print queue configuration?

Thanks for your help.  You are welcome to close out this bug.

Comment 6 Tim Waugh 2007-02-13 09:20:43 UTC
I think this might have been a temporary hal problem (see bug #227444 for a
similar report).


Note You need to log in before you can comment on or make changes to this bug.